Error appcompat_v7 library

  • Replies:7
  • OpenNot stickiedUnanswered
  • Forum posts: 3

Jul 5, 2015 6:45:38 PM via Website

I created new Android project "my" through Eclipse with fullscreen activity. It creates two projects: my android application and appcompat_v7 Java library.
I have error in my/res/values/styles.xml in

error: Error retrieving parent for item: No resource found that matches the given name 'Theme.AppCompat.Light'.
Nothing helps adding project appcompat_v7

  • Forum posts: 12

Jul 12, 2015 12:00:50 PM via Website

I would check the styles xml file first: Does it have an entry named "Theme.AppCompat.Light"?

I would also check the code for a call to "Theme.AppCompat.Light". Is that call properly formed?

  • Forum posts: 3

Jul 12, 2015 12:03:27 PM via Website

I noticed: If I create project in Workspace is all correct, if I create project in specified directory is error. Because library appcompat_v7 in this both cases is always in Workspace.

  • Forum posts: 12

Jul 12, 2015 11:51:43 PM via Website

Have you tried importing the project without checking the "Copy projects into workspace" checkbox?

  • Forum posts: 3

Jul 12, 2015 11:59:36 PM via Website

I try create new projects. Projects which I import were without appcompat_v7 library and in both situations (copy or not) is OK. But Eclipse (plugins ADT and Andmore) creates new projects with appcompat_v7 library.

  • Forum posts: 12

Jul 13, 2015 12:34:26 PM via Website

Ok, I found the solution (I think...) for your problem.
It's pretty complex, but there's a good Youtube video that shows how to solve it.
Too bad, I'm not allowed to post links, but if you go to Youtube and search for:

Solve Eclipse Android appcompat v7 Problem

you'll find it!